Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592307 - setup-ds.pl fails to detect unavailable port on Solaris
Summary: setup-ds.pl fails to detect unavailable port on Solaris
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.2.6
Hardware: All
OS: Other
low
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 14:10 UTC by Endi Sukma Dewata
Modified: 2015-01-04 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 17:06:23 UTC


Attachments (Terms of Use)
0001-Bug-592307-setup-ds.pl-fails-to-detect-unavailable-p.patch (deleted)
2010-05-14 14:19 UTC, Endi Sukma Dewata
no flags Details | Diff

Description Endi Sukma Dewata 2010-05-14 14:10:47 UTC
The setup-ds.pl is supposed to check and display an error message if the port number entered is unavailable. On Solaris the setup-ds.pl accepts the port number although it is being used by another server.

How reproducible: consistently.

Steps to Reproduce:
1. Create and run a DS instance with a certain port number.
2. Create another DS instance with the same port number.
  
Actual results:
In step #2 the port number is accepted, but the new DS instance will fail to start.

Expected results:
The conflicting port number should not be accepted and user should be asked to enter a new port number.

Comment 1 Endi Sukma Dewata 2010-05-14 14:19:59 UTC
Created attachment 414067 [details]
0001-Bug-592307-setup-ds.pl-fails-to-detect-unavailable-p.patch

The portAvailable() has been modified to use connect() instead of bind().


Note You need to log in before you can comment on or make changes to this bug.